You Can Now Use Old PHP Version For Your Website

When a new account is provisioned on our system, it defaults to the latest upstream supported version.

At the time of this publication, the latest is PHP7.3.

Latest PHP versions are optimized:

- to speed up your website twice as fast than before,
- make the maintenance of large pieces of code by multiple developers significantly easier
- and give you the ability to write more robust applications by detecting early programming mistakes caused by passing values of the wrong types to and from functions.

But we know that each customer is uniquely different.

And each has different set of business needs that he or she is trying to solve.

One of the issues that 18% of our customer base (often developers) runs into is how to keep applications running old unsupported PHP online while they work behind the doors to upgrade their code.

To help with this challenge, we do offer multiple versions of PHP that a customer can select from.

When hosting your website or application with us, you can select and switch between PHP 4.4, 5.1, 5.2, 5.3, 5.4, 5.5, 5.6, and 7.0, 7.1, 7.2, 7.3 and whatever version that comes after these.

This unique needs also extends to the kind of extension that the customers wishes to use to optimize his or her web application.

That is why we also provide over 120 different PHP extensions that you can select from, giving you even greater control on what how to use PHP.

Our systems also ensure that each of these PHP version is updated fast to make the websites secure and your website visitors, happier.

Please note that the hosting packages that will enable you to run these upstream-unsupported PHP versions are uniquely different from our normal hosting packages.

If you are a new customer and wish to start off with these, all you have to do is to visit https://dashboard.webhostingmagic.com/cart.php?a=add&pid=6

The hosting plan gives you everything you need to host old PHP versions securely and highly scalable.

If you are an existing customer with a website that need to run old PHP, you can easily add this package to the new account.

We are always looking for ways to serve you better.

So please do let us know if there is a feature that you would want see by visiting https://webhostingmagic.com/feature-request.html